import request from '@/utils/httpRequest'

export default class RankLevelService {
  list (params) {
    return request({
      url: '/rank/rank_system_table/list',
      method: 'get',
      params: params
    })
  }
  queryById (rankId, rcId, rsId) {
    return request({
      url: '/rank/rank_system_table/queryById',
      method: 'get',
      params: {rankId: rankId, rcId: rcId, rsId: rsId}
    })
  }
  save (inputForm) {
    return request({
      url: `/rank/rank_system_table/save`,
      method: 'post',
      data: inputForm
    })
  }
  queryAllRankLevel () {
    return request({
      url: '/rank/rank_system_table/queryAllRankLevel',
      method: 'get',
      params: {}
    })
  }
  queryAllPosition () {
    return request({
      url: '/rank/rank_system_table/queryAllPosition',
      method: 'get',
      params: {}
    })
  }
  queryAllPost () {
    return request({
      url: '/rank/rank_system_table/queryAllPost',
      method: 'get',
      params: {}
    })
  }
}
